changeset 588:965923c576f3

More initramfs fixes. Still doesn't work yet. I pine for a working User Mode Linux where I can stick printfs() into the source code that output something even when the system isn't managing to set up /dev/console properly. (Sticking in printk() when you're getting no output isn't very useful.)
author Rob Landley <rob@landley.net>
date Wed, 14 Jan 2009 21:43:26 -0600
parents b942381f1855
children 5b62607168fd
files system-image.sh
diffstat 1 files changed, 11 insertions(+), 14 deletions(-) [+]
line wrap: on
line diff
--- a/system-image.sh	Wed Jan 14 02:42:17 2009 -0600
+++ b/system-image.sh	Wed Jan 14 21:43:26 2009 -0600
@@ -48,19 +48,16 @@
 if [ "$SYSIMAGE_TYPE" == "initramfs" ]
 then
   echo "Generating initramfs (in background)"
-  (
-    $CC usr/gen_init_cpio.c -o my_gen_init_cpio || dienow
-    (./my_gen_init_cpio <(
-        [ ! -d "$NATIVE"/dev ] && echo "dir /dev 755 0 0"
-        [ ! -e "$NATIVE"/init ] &&
-          echo "slink /init $NATIVE/$TOOLSDIR/sbin/init.sh 755 0 0"
-
-        "$SOURCES"/toys/gen_initramfs_list.sh "$NATIVE" &&
-        echo "nod /dev/console 640 0 0 c 5 1" >> initramfs.txt || dienow
-      ) || dienow
-    ) | gzip -9 > initramfs_data.cpio.gz || dienow
-    echo Initramfs generated.
-  ) &
+  $CC usr/gen_init_cpio.c -o my_gen_init_cpio || dienow
+  (./my_gen_init_cpio <(
+      "$SOURCES"/toys/gen_initramfs_list.sh "$NATIVE"
+      [ ! -e "$NATIVE"/init ] &&
+        echo "slink /init /bin/hello 755 0 0" # /$TOOLSDIR/sbin/init.sh 755 0 0"
+      [ ! -d "$NATIVE"/dev ] && echo "dir /dev 755 0 0"
+      echo "nod /dev/console 640 0 0 c 5 1"
+    ) || dienow
+  ) | gzip -9 > initramfs_data.cpio.gz || dienow
+  echo Initramfs generated.
 
   # Wait for initial kernel build to finish.
 
@@ -137,7 +134,7 @@
   fi
 
   echo "-nographic -no-reboot -kernel \"$2\" \$WITH_HDB $HDA" \
-    "-append \"${APPEND}panic=1 PATH=\$DISTCC_PATH_PREFIX/\$TOOLSDIR/bin" \
+    "-append \"${APPEND}panic=1 PATH=\$DISTCC_PATH_PREFIX/$TOOLSDIR/bin" \
     '$KERNEL_EXTRA"'
 }